Subject: Attention Chanan Itai
From: LOGAND <[email-masked]>
Date: 9 Jun 1994 08:11:40 +0100
Newsgroups: bionet.plants

You wrote the following :

I'm in the Dept. of Life Sciences in Ben Gurion University, Beer Sheva 
Israel. I teach Plant Physiology and a course on Adaptation of plants to 
environmental stress. My interests are  stress and stomata physiology. 
My  studies now days concentrate on Ca+2 involvement in regulation of 
stomatal movement and the possible role of phytochrome control of Ca+2 
ATPase activities. Chanan Itai

I am interested in the research you are doing concerning Ca-ATPases as 
this was my field as well until recently. Could you send me a note of 
your E-mail address so we can talk?

Regards

David C. Logan

[email-masked]